I can't install ruby on rails on my mac - Sorry I know it's been posted 1 million times before

You didn’t say how you downloaded Xcode, but you’ll want the version from the App Store. Once that is installed, you’ll need to launch it, go to Preferences, then the Downloads tab. You’ll see the option to install the command line tools at the bottom of the list of modules.

Although, if you start out using sqlite as the database, you probably won’t need to compile anything anyway.

Jim